$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 DatastreamProjectsLocationsPrivateConnectionsRoutesListRequest
  export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- parent
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  filter:
    description: Filter request.
    type: string
  orderBy:
    description: Order by fields for the result.
    type: string
  pageSize:
    description: |-
      Maximum number of Routes to return. The service may return fewer than this
      value. If unspecified, at most 50 Routes will be returned. The maximum
      value is 1000; values above 1000 will be coerced to 1000.
    type: integer
  pageToken:
    description: |-
      Page token received from a previous `ListRoutes` call. Provide this to
      retrieve the subsequent page. When paginating, all other parameters
      provided to `ListRoutes` must match the call that provided the page token.
    type: string
  parent:
    description: The parent that owns the collection of Routess.
    type: string
